package forms

type RetrofitGroupAddPlayerReq struct {
	ID     int64 `json:"id"  form:"id"`
	UserId int64 `json:"userId" form:"userId"`
}

func (req *RetrofitGroupAddPlayerReq) Check() error {
	return nil
}

type RetrofitGroupListReq struct {
	ListReq
}

func (req *RetrofitGroupListReq) Check() error {
	return nil
}

type RetrofitGroupEditReq struct {
	ID     int64  `json:"id"  form:"id"`
	Name   string `json:"name"  form:"name"`      // 模板名称
	Remark string ` json:"remark"  form:"remark"` // 备注
	Sort   int64  `json:"sort"  form:"sort"`      // 排序
	Status int32  `json:"status"  form:"status"`  // 状态
}

type RetrofitGroupDeleteReq struct {
	ID int64 `json:"id"  form:"id"`
}

type RetrofitListReq struct {
	ListReq
	GroupId int64 `json:"groupId" form:"groupId"`
}

func (req *RetrofitListReq) Check() error {

	return nil
}

type RetrofitEditReq struct {
	ID      int64  `json:"id"  form:"id"`
	Name    string `json:"name"  form:"name"`       // 模板名称
	GroupID int64  `json:"groupId"  form:"groupId"` // 模板ID
	Type    int64  `json:"type"  form:"type"`       // 加装类型
	Mid     int64  `json:"mid"  form:"mid"`         // 关联ID
	Nums    int64  `json:"nums"  form:"nums"`       // 数量
	Sort    int64  `json:"sort"  form:"sort"`       // 排序
	Status  int32  `json:"status"  form:"status"`   // 状态
}

type RetrofitDeleteReq struct {
	ID int64 `json:"id"  form:"id"`
}
