// 迁移玩家表
package model

import (
	"time"
)

const TableNameMigratePlayer = "player_attr"

// MigratePlayer mapped from table <player_attr>
type MigratePlayer struct {
	ID             int64     `gorm:"column:id;primaryKey;autoIncrement:true" json:"id"`
	Playerid       int64     `gorm:"column:playerid" json:"playerid"`
	Level          int32     `gorm:"column:level" json:"level"`
	Exp            int64     `gorm:"column:exp" json:"exp"`
	Stamina        int32     `gorm:"column:stamina" json:"stamina"`
	Lastlogintick  int64     `gorm:"column:lastlogintick" json:"lastlogintick"`
	Lastlogouttick int64     `gorm:"column:lastlogouttick" json:"lastlogouttick"`
	LastChapter    string    `gorm:"column:lastChapter" json:"lastChapter"`
	LastStamTick   int64     `gorm:"column:lastStamTick" json:"lastStamTick"`
	Location       string    `gorm:"column:location" json:"location"`
	OpenID         string    `gorm:"column:openId" json:"openId"`
	NickName       string    `gorm:"column:nickName" json:"nickName"`
	ImgURL         string    `gorm:"column:imgUrl" json:"imgUrl"`
	ServerID       int32     `gorm:"column:serverId" json:"serverId"`
	AccID          int64     `gorm:"column:accId" json:"accId"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time"`
	OldPlayerId    int64     `gorm:"column:oldPlayerId" json:"oldPlayerId"`
}

// TableName PlayerAttr's table name
func (*MigratePlayer) TableName() string {
	return TableNameMigratePlayer
}
