package model

// 幸运礼包-LuckGift exported from 活动-幸运礼包.xlsx
type LuckGift struct {
	Uid       int64     `json:"Uid"`       // ID
	Type      int64     `json:"Type"`      // 触发类型 1--英雄等级 2--宝物星级 3--通关合作模式 4--英雄招募 5-宝物招募 6-铭文招募
	Condition []int64   `json:"Condition"` // 条件 1--[英雄ID，等级] 2--[宝物ID，星级] 3-类型（1普通，2困难，3噩梦） 4，5，6-类型（累计招募次数）
	Name      string    `json:"Name"`      // 礼包名称
	Content   [][]int64 `json:"Content"`   // 商品内容 1:英雄碎片 2:假道具 3：材料 4：抽奖道具 5：宝物道具 6：宝箱类型 7：英雄皮肤 8：要塞皮肤 9.符文 10：场景皮肤 11：铭文 12:头像道具 13：头像框道具 14：聊天气泡道具 15：游戏内道具 16：体力类型 17：杂类 18：经验，玩家经验、通行证经验 19:聊天动态表情
	Price     int64     `json:"Price"`     // 计费点ID
}
