package model

// 每日充值-DailyRecharge exported from 活动-每日充值.xlsx
type DailyRecharge struct {
	Uid    int64     `json:"Uid"`    // ID
	Gear   int64     `json:"Gear"`   // 挡位
	Days   int64     `json:"Days"`   // 天数
	Reward [][]int64 `json:"Reward"` // 奖励
} // package model

// 进度奖-DailyCumulative exported from 活动-每日充值.xlsx
type DailyCumulative struct {
	Uid    int64     `json:"Uid"`    // ID
	Gear   int64     `json:"Gear"`   // 挡位
	Day    int64     `json:"Day"`    // 累计天数
	Reward [][]int64 `json:"Reward"` // 奖励
}

// 累计充值-Cumulative exported from 活动-循环累计充值.xlsx
type Cumulative struct {
	Uid    int64     `json:"Uid"`    // ID
	Gear   int64     `json:"Gear"`   // 挡位 钻石金额
	Reward [][]int64 `json:"Reward"` // 奖励
}
