package msg

import "leafstalk/covenant/model"

// UseDropedBox 使用箱子
type UseDropedBox struct {
	PlayerId     int64 `json:"userId"`
	BoxId        int64 `json:"boxId"`
	Num          int64 `json:"num"`
	SelectItemId int64 `json:"selectItemId"`
}

type ResponseUseDropedBox struct {
	ErrCode int               `json:"errCode"`
	Msg     string            `json:"msg,omitempty"`
	Data    *UseDropedBoxData `json:"data"`
}

type UseDropedBoxData struct {
	BoxId   int64               `json:"boxId"`
	Num     int64               `json:"num"`
	Bundles *model.DropedBundle `json:"bundles"`
}
