package msg

import "leafstalk/covenant/model"

// TreasureLevelUp 升级
type TreasureLevelUp struct {
	PlayerId int64 `json:"userId"`
	Id       int64 `json:"id"`
}

type TreasureLevelUpData struct {
	Materials map[int64]int64         `json:"materials"`
	Treasure  *model.GrowableTreasure `json:"treasure"`
}

type ResponseTreasureLevelUp struct {
	ErrCode int                  `json:"errCode"`
	Msg     string               `json:"msg,omitempty"`
	Data    *TreasureLevelUpData `json:"data"`
}

// TreasureStarUp 升星
type TreasureStarUp struct {
	PlayerId int64 `json:"userId"`
	Id       int64 `json:"id"`
}

type TreasureStarUpData struct {
	Materials map[int64]int64         `json:"materials"`
	Treasure  *model.GrowableTreasure `json:"treasure"`
}

type ResponseTreasureStarUp struct {
	ErrCode int                 `json:"errCode"`
	Msg     string              `json:"msg,omitempty"`
	Data    *TreasureStarUpData `json:"data"`
}
