import { resultSuccess } from '../_util';

const AdSlotClick = (_pageSize) => {
  return [
    {
      key: 3315,
      position_id: 0,
      show_times: 1996,
      click_times: 0,
      reward_times: 1800,
      show_users: 854,
      click_users: 0,
      reward_users: 789,
    },
    {
      key: 3316,
      position_id: 1,
      show_times: 3792,
      click_times: 0,
      reward_times: 3631,
      show_users: 403,
      click_users: 0,
      reward_users: 395,
    },
    {
      key: 3317,
      position_id: 2,
      show_times: 1559,
      click_times: 0,
      reward_times: 1530,
      show_users: 254,
      click_users: 0,
      reward_users: 248,
    },
    {
      key: 3318,
      position_id: 3,
      show_times: 999,
      click_times: 0,
      reward_times: 957,
      show_users: 251,
      click_users: 0,
      reward_users: 246,
    },
    {
      key: 3319,
      position_id: 4,
      show_times: 1443,
      click_times: 0,
      reward_times: 1227,
      show_users: 283,
      click_users: 0,
      reward_users: 185,
    },
    {
      key: 3320,
      position_id: 5,
      show_times: 1068,
      click_times: 0,
      reward_times: 889,
      show_users: 243,
      click_users: 0,
      reward_users: 166,
    },
    {
      key: 3321,
      position_id: 8,
      show_times: 419,
      click_times: 0,
      reward_times: 393,
      show_users: 156,
      click_users: 0,
      reward_users: 155,
    },
    {
      key: 3322,
      position_id: 10,
      show_times: 1942,
      click_times: 0,
      reward_times: 1831,
      show_users: 588,
      click_users: 0,
      reward_users: 569,
    },
    {
      key: 3323,
      position_id: 11,
      show_times: 413,
      click_times: 0,
      reward_times: 359,
      show_users: 378,
      click_users: 0,
      reward_users: 359,
    },
    {
      key: 3324,
      position_id: 12,
      show_times: 1531,
      click_times: 0,
      reward_times: 1286,
      show_users: 461,
      click_users: 0,
      reward_users: 409,
    },
    {
      key: 3325,
      position_id: 13,
      show_times: 812,
      click_times: 0,
      reward_times: 782,
      show_users: 259,
      click_users: 0,
      reward_users: 249,
    },
    {
      key: 3326,
      position_id: 14,
      show_times: 1278,
      click_times: 0,
      reward_times: 1233,
      show_users: 255,
      click_users: 0,
      reward_users: 253,
    },
    {
      key: 3327,
      position_id: 15,
      show_times: 526,
      click_times: 0,
      reward_times: 393,
      show_users: 141,
      click_users: 0,
      reward_users: 140,
    },
    {
      key: 3328,
      position_id: 16,
      show_times: 1942,
      click_times: 0,
      reward_times: 1861,
      show_users: 287,
      click_users: 0,
      reward_users: 285,
    },
    {
      key: 3329,
      position_id: 17,
      show_times: 1,
      click_times: 0,
      reward_times: 1,
      show_users: 1,
      click_users: 0,
      reward_users: 1,
    },
    {
      key: 3330,
      position_id: 18,
      show_times: 15,
      click_times: 0,
      reward_times: 10,
      show_users: 9,
      click_users: 0,
      reward_users: 4,
    },
    {
      key: 3331,
      position_id: 19,
      show_times: 404,
      click_times: 0,
      reward_times: 395,
      show_users: 132,
      click_users: 0,
      reward_users: 128,
    },
    {
      key: 3332,
      position_id: 20,
      show_times: 8586,
      click_times: 0,
      reward_times: 7429,
      show_users: 1402,
      click_users: 0,
      reward_users: 811,
    },
    {
      key: 3333,
      position_id: 21,
      show_times: 303,
      click_times: 0,
      reward_times: 246,
      show_users: 279,
      click_users: 0,
      reward_users: 246,
    },
    {
      key: 3334,
      position_id: 22,
      show_times: 644,
      click_times: 0,
      reward_times: 595,
      show_users: 142,
      click_users: 0,
      reward_users: 142,
    },
    {
      key: 3335,
      position_id: 23,
      show_times: 44,
      click_times: 0,
      reward_times: 44,
      show_users: 23,
      click_users: 0,
      reward_users: 23,
    },
  ];
};

export default [
  {
    url: '/api/echarts/AdSlotClick',
    timeout: 1,
    method: 'get',
    response: ({ query }) => {
      const { page = 1, pageSize = 10 } = query;
      const list = AdSlotClick(Number(pageSize));
      return resultSuccess({
        page: Number(page),
        pageSize: Number(pageSize),
        pageCount: 2,
        list,
      });
    },
  },
];
