export interface gemFields {
  part: number;
  partName: string;
  level: number;
  step: string;
  suits: [suit];
  equip: string;
  equipName: string;
  equipStar: string;
  slot: any;
}

export interface suit {
  equip: string;
  slot: [number];
}

export const gemMaps: Map<number, string> = {
  23001: '1级增伤宝石',
  23002: '2级增伤宝石',
  23003: '3级增伤宝石',
  23004: '4级增伤宝石',
  23005: '5级增伤宝石',
  23006: '6级增伤宝石',
  23051: '1级减伤宝石',
  23052: '2级减伤宝石',
  23053: '3级减伤宝石',
  23054: '4级减伤宝石',
  23055: '5级减伤宝石',
  23056: '6级减伤宝石',
  23101: '1级生命宝石',
  23102: '2级生命宝石',
  23103: '3级生命宝石',
  23104: '4级生命宝石',
  23105: '5级生命宝石',
  23106: '6级生命宝石',
  23151: '1级暴击宝石',
  23152: '2级暴击宝石',
  23153: '3级暴击宝石',
  23154: '4级暴击宝石',
  23155: '5级暴击宝石',
  23156: '6级暴击宝石',
  23201: '1级暴伤宝石',
  23202: '2级暴伤宝石',
  23203: '3级暴伤宝石',
  23204: '4级暴伤宝石',
  23205: '5级暴伤宝石',
  23206: '6级暴伤宝石',
  23251: '1级换弹宝石',
  23252: '2级换弹宝石',
  23253: '3级换弹宝石',
  23254: '4级换弹宝石',
  23255: '5级换弹宝石',
  23256: '6级换弹宝石',
};
