import CryptoJS from 'crypto-js';

const sKey = CryptoJS.enc.Utf8.parse('ofGlyFgu9bL2J7VQ');

export function EncryptAES(s: string): string {
  // key 和 iv 使用同一个值
  const encrypted = CryptoJS.AES.encrypt(s, sKey, {
    iv: sKey,
    mode: CryptoJS.mode.ECB, // ECB算法
    padding: CryptoJS.pad.Pkcs7, //使用pkcs7 进行padding 后端需要注意
  });

  return encrypted.toString();
}

export function DecryptAES(s: string): string {
  // key 和 iv 使用同一个值
  const decrypted = CryptoJS.AES.decrypt(s, sKey, {
    iv: sKey,
    mode: CryptoJS.mode.ECB, // ECB算法
    padding: CryptoJS.pad.Pkcs7, //使用pkcs7 进行padding 后端需要注意
  });

  return decrypted.toString(CryptoJS.enc.Utf8);
}
