import { timestampToTime } from '@/utils/dateUtil';

export const columns = [
  {
    title: '内容',
    dataIndex: 'content',
    key: 'content',
    width: 400,
  },
  {
    title: '开始时间',
    dataIndex: 'start_at',
    key: 'start_at',
    render: (rows, _) => {
      return timestampToTime(rows.start_at);
    },
    width: 100,
  },
  {
    title: '结束时间',
    dataIndex: 'end_at',
    key: 'end_at',
    render: (rows, _) => {
      return timestampToTime(rows.end_at);
    },
    width: 100,
  },

  {
    title: '间隔分钟',
    dataIndex: 'interval',
    key: 'interval',
    width: 100,
  },
  {
    title: '创建时间',
    dataIndex: 'create_at',
    key: 'create_at',
    render: (rows, _) => {
      return timestampToTime(rows.create_at);
    },
    width: 100,
  },
];
