package consts

const (
	// PassWordCost 密码加密难度
	PassWordCost = 12
)

const (
	UserFlagOld           = 0 // 老玩家
	UserFlagNormal        = 1 // 不限广告
	UserFlagLimit         = 2 // 限制广告
	UserFlagChapterNormal = 3 // 不限关卡钻石刷技能
	UserFlagChapterLimit  = 4 // 限制关卡钻石刷技能
)

var UserFlags = []int32{UserFlagOld, UserFlagNormal, UserFlagLimit, UserFlagChapterNormal, UserFlagChapterLimit}

var UserFlagMap = map[int32]string{
	UserFlagOld:           "0老玩家不限广告次数",
	UserFlagNormal:        "1刷技能不限广告次数",
	UserFlagLimit:         "2刷技能限制广告次数",
	UserFlagChapterNormal: "3不限关卡钻石刷技能",
	UserFlagChapterLimit:  "4限制关卡钻石刷技能",
}
