package model

// 头像列表-SkinHead exported from 个性化外观配置.xlsx
type SkinHead struct {
	Uid        int64   `json:"Uid"`        // 唯一编号
	Name       string  `json:"Name"`       // 头像名字
	Res        string  `json:"Res"`        // 资源名
	UnlockItem int64   `json:"UnlockItem"` // 解锁道具 0：默认解锁
	Decompose  []int64 `json:"Decompose"`  // 分解道具
} // package model

// 头像框列表-SkinFrame exported from 个性化外观配置.xlsx
type SkinFrame struct {
	Uid        int64   `json:"Uid"`        // 唯一编号
	Name       string  `json:"Name"`       // 头像框名字
	Res        string  `json:"Res"`        // 资源名
	UnlockItem int64   `json:"UnlockItem"` // 解锁道具 0：默认解锁
	Decompose  []int64 `json:"Decompose"`  // 分解道具
} // package model

// 聊天气泡列表-SkinChatFrame exported from 个性化外观配置.xlsx
type SkinChatFrame struct {
	Uid        int64   `json:"Uid"`        // 唯一编号
	Name       string  `json:"Name"`       // 聊天气泡名字
	Res        string  `json:"Res"`        // 资源名
	UnlockItem int64   `json:"UnlockItem"` // 解锁道具 0：默认解锁
	Decompose  []int64 `json:"Decompose"`  // 分解道具
} // package model

// 聊天表情包-Emoji exported from 个性化外观配置.xlsx
type Emoji struct {
	Uid        int64  `json:"Uid"`        // 编号
	Name       string `json:"Name"`       // 名字
	ResType    int64  `json:"ResType"`    // 资源类型 1：静态 2：动态
	ResName    string `json:"ResName"`    // 资源名
	Sort       int64  `json:"Sort"`       // 排序
	UnlockItem int64  `json:"UnlockItem"` // 解锁道具  默认解锁消耗1个 0：默认解锁
}
