package model

// 军衔表-MilitaryRank exported from 军衔系统.xlsx
type MilitaryRank struct {
	Uid       int64     `json:"Uid"`       // 军衔ID
	Name      string    `json:"Name"`      // 名称
	Lv        int64     `json:"Lv"`        // 等级
	Icon      string    `json:"Icon"`      // 军衔图标
	Condition int64     `json:"Condition"` // 晋级任务
	PAnt      float64   `json:"PAnt"`      // 要塞攻击
	Crt       float64   `json:"Crt"`       // 要塞暴击
	Dmg       float64   `json:"Dmg"`       // 要塞暴伤
	Reward    [][]int64 `json:"Reward"`    // 晋级奖励
} // package model

// 军衔任务-MilitaryRankTask exported from 军衔系统.xlsx
type MilitaryRankTask struct {
	Uid      int64   `json:"Uid"`      // 唯一ID
	TaskId   int64   `json:"TaskId"`   // 任务id
	Des      string  `json:"Des"`      // 描述
	TaskType int64   `json:"TaskType"` // 任务类型
	Value    []int64 `json:"Value"`    // 参数值
}
