import { resultSuccess } from '../_util';

const rechargeList = (_pageSize) => {
  return [
    {
      id: 1,
      playerID: 773291,
      amount: 6,
      createAt: '2022-07-27 17:37:48',
      status: 1,
      platform: '安卓',
    },
    {
      id: 2,
      playerID: 675198,
      amount: 6,
      createAt: '2022-07-23 16:25:29',
      status: 1,
      platform: '安卓',
    },
    {
      id: 3,
      playerID: 773263,
      amount: 0,
      createAt: '2022-07-22 17:57:43',
      status: 1,
      platform: '安卓',
    },
    {
      id: 4,
      playerID: 773263,
      amount: 0,
      createAt: '2022-07-22 17:46:18',
      status: 1,
      platform: '安卓',
    },
    {
      id: 5,
      playerID: 773263,
      amount: 0,
      createAt: '2022-07-22 16:39:08',
      status: 1,
      platform: '安卓',
    },
    {
      id: 6,
      playerID: 555837,
      amount: 0,
      createAt: '2022-07-22 16:35:19',
      status: 1,
      platform: '安卓',
    },
    {
      id: 7,
      playerID: 773263,
      amount: 0,
      createAt: '2022-07-22 16:34:41',
      status: 1,
      platform: '安卓',
    },
    {
      id: 8,
      playerID: 773263,
      amount: 0,
      createAt: '2022-07-22 16:32:17',
      status: 1,
      platform: '安卓',
    },
    {
      id: 9,
      playerID: 675198,
      amount: 0,
      createAt: '2022-07-22 14:53:14',
      status: 1,
      platform: '安卓',
    },
    {
      id: 10,
      playerID: 773253,
      amount: 0,
      createAt: '2022-07-22 14:31:43',
      status: 1,
      platform: '安卓',
    },
    {
      id: 11,
      playerID: 755785,
      amount: 12,
      createAt: '2022-07-21 00:12:20',
      status: 1,
      platform: '安卓',
    },
    {
      id: 12,
      playerID: 771668,
      amount: 98,
      createAt: '2022-07-20 18:35:50',
      status: 1,
      platform: '安卓',
    },
    {
      id: 13,
      playerID: 636769,
      amount: 328,
      createAt: '2022-07-20 13:27:08',
      status: 1,
      platform: '安卓',
    },
    {
      id: 14,
      playerID: 337730,
      amount: 6,
      createAt: '2022-07-20 12:15:21',
      status: 1,
      platform: '安卓',
    },
    {
      id: 15,
      playerID: 699658,
      amount: 25,
      createAt: '2022-07-20 10:07:02',
      status: 1,
      platform: '安卓',
    },
    {
      id: 16,
      playerID: 699658,
      amount: 98,
      createAt: '2022-07-20 09:49:55',
      status: 1,
      platform: '安卓',
    },
    {
      id: 17,
      playerID: 760855,
      amount: 6,
      createAt: '2022-07-20 09:16:19',
      status: 1,
      platform: '安卓',
    },
    {
      id: 18,
      playerID: 760855,
      amount: 12,
      createAt: '2022-07-20 09:16:00',
      status: 1,
      platform: '安卓',
    },
    {
      id: 19,
      playerID: 762310,
      amount: 6,
      createAt: '2022-07-20 09:11:50',
      status: 1,
      platform: '安卓',
    },
    {
      id: 20,
      playerID: 739692,
      amount: 25,
      createAt: '2022-07-20 07:19:49',
      status: 1,
      platform: '安卓',
    },
  ];
};

export default [
  //表格数据列表
  {
    url: '/api/echarts/rechargeList',
    timeout: 1,
    method: 'get',
    response: ({ query }) => {
      const { page = 1, pageSize = 10 } = query;
      const list = rechargeList(Number(pageSize));
      return resultSuccess({
        page: Number(page),
        pageSize: Number(pageSize),
        pageCount: 1,
        list,
      });
    },
  },
];
