import { resultSuccess } from '../_util';

const rebootTable = (_pageSize) => {
  return [
    {
      id: 143,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-08-01T11:26:54+08:00',
      updated_at: '2022-08-01T11:26:54+08:00',
    },
    {
      id: 142,
      version: 'v1.4.9',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-08-01T11:08:51+08:00',
      updated_at: '2022-08-01T11:08:51+08:00',
    },
    {
      id: 141,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-08-01T11:03:28+08:00',
      updated_at: '2022-08-01T11:03:28+08:00',
    },
    {
      id: 140,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T17:50:20+08:00',
      updated_at: '2022-07-30T17:50:20+08:00',
    },
    {
      id: 139,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T17:49:31+08:00',
      updated_at: '2022-07-30T17:49:31+08:00',
    },
    {
      id: 138,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T15:49:03+08:00',
      updated_at: '2022-07-30T15:49:03+08:00',
    },
    {
      id: 137,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T14:57:40+08:00',
      updated_at: '2022-07-30T14:57:40+08:00',
    },
    {
      id: 136,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T14:50:46+08:00',
      updated_at: '2022-07-30T14:50:46+08:00',
    },
    {
      id: 135,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T14:31:43+08:00',
      updated_at: '2022-07-30T14:31:43+08:00',
    },
    {
      id: 134,
      version: 'v1.4.8',
      username: 'admin',
      ip: '39.165.245.126',
      created_at: '2022-07-30T11:43:41+08:00',
      updated_at: '2022-07-30T11:43:41+08:00',
    },
  ];
};

export default [
  {
    url: '/api/echarts/rebootTable',
    timeout: 1,
    method: 'get',
    response: ({ query }) => {
      const { page = 1, pageSize = 10 } = query;
      const list = rebootTable(Number(pageSize));
      return resultSuccess({
        page: Number(page),
        pageSize: Number(pageSize),
        pageCount: 1,
        list,
      });
    },
  },
];
