export enum ResultEnum {
  SUCCESS = 0,
  ERROR = 40001,
  PANIC = 41001,
  DB_ERR = 50001,
  ENCRYPT_ERR = 50002,
  TIMEOUT = 401,
  No_Permission = 402,
  NO_RIGHT_ERR = 403,
  TYPE = 'success',
}

export enum RequestEnum {
  GET = 'GET',
  POST = 'POST',
  PATCH = 'PATCH',
  PUT = 'PUT',
  DELETE = 'DELETE',
}

export enum ContentTypeEnum {
  JSON = 'application/json;charset=UTF-8',
  TEXT = 'text/plain;charset=UTF-8',
  FORM_URLENCODED = 'application/x-www-form-urlencoded;charset=UTF-8',
  FORM_DATA = 'multipart/form-data;charset=UTF-8',
}
