import { h } from 'vue';
import { NTag } from 'naive-ui';

export const columns = [
  {
    title: '记录ID',
    key: 'id',
  },
  {
    title: '备注',
    key: 'remark',
  },
  // {
  //   title: '模块',
  //   key: 'module',
  //   render(row) {
  //     return h(
  //       NTag,
  //       {
  //         style: {
  //           marginRight: '6px',
  //         },
  //         type: row.module == 'admin' ? 'info' : 'success',
  //         bordered: false,
  //       },
  //       {
  //         default: () => row.module,
  //       }
  //     );
  //   },
  // },
  {
    title: '操作人',
    key: 'adminName',
    render(row) {
      return row.adminName + '(' + row.admin_id + ')';
    },
  },
  {
    title: '请求方式',
    key: 'method',
  },
  {
    title: '请求路径',
    key: 'path',
  },
  {
    title: '访问IP',
    key: 'access_ip',
  },
  // {
  //   title: 'IP地区',
  //   key: 'region',
  // },
  {
    title: '状态码',
    key: 'status_code',
    render(row) {
      return h(
        NTag,
        {
          style: {
            marginRight: '6px',
          },
          type: 'success',
          bordered: false,
        },
        {
          default: () => row.status_code,
        }
      );
    },
  },
  {
    title: 'Goroutine耗时',
    key: 'latency',
    render(row) {
      return row.latency + ' ms';
    },
  },
  {
    title: '请求时间',
    key: 'timestamp',
  },
];
