import { timestampToTime } from '@/utils/dateUtil';

export const columns = [
  {
    title: '排名',
    dataIndex: 'id',
    key: 'id',
  },
  {
    title: '玩家ID',
    dataIndex: 'user_id',
    key: 'user_id',
  },
  {
    title: '昵称',
    dataIndex: 'nickName',
    key: 'nickName',
  },
  {
    title: '登录次数',
    dataIndex: 'count',
    key: 'count',
  },
  {
    title: '最后登录',
    dataIndex: 'lastTime',
    key: 'lastTime',
    render: (rows, _) => {
      return timestampToTime(rows.lastTime);
    },
  },
];
